/*******************************************************************
 * NGX-DYNAMIC-MATERIAL-TABLE                                      *
 * @description Create fancy and complex tables dynamically        *
 * @file abstract-dynamic-base.service.ts                          *
 * @author Gökhan Sari - <goekhan.sari@arpage.ch>                  *
 * @copyright Arpage AG, 2018                                      *
 *******************************************************************/
import { Compiler, ComponentRef, Injector, ViewContainerRef, Type } from '@angular/core';
/**
 * Abstract base class for all services that want to create components dynamically.
 */
export declare abstract class AbstractDynamicBaseService {
    protected compiler: Compiler;
    /**
     * @param injector
     */
    constructor(injector: Injector);
    /**
     * Creates an angular component dynamically by the given parameters.
     *
     * @param container
     * @param moduleToCreate
     * @param componentToCreate
     * @param properties
     * @returns Promise
     */
    protected createDynamicComponent(container: ViewContainerRef, moduleToCreate: Type<any>, componentToCreate: Type<any>, properties?: any): Promise<ComponentRef<any>>;
}
