/*******************************************************************
 * NGX-DYNAMIC-MATERIAL-TABLE                                      *
 * @description Create fancy and complex tables dynamically        *
 * @file abstract-dynamic-expandable-table-data.provider.ts        *
 * @author Gökhan Sari - <goekhan.sari@arpage.ch>                  *
 * @copyright Arpage AG, 2018                                      *
 *******************************************************************/
import { Observable } from 'rxjs';
import { DynamicExpandableTableDataInterface } from '../interfaces/dynamic-expandable-table-data.interface';
import { DynamicExpandableTableOptionInterface } from '../interfaces/dynamic-expandable-table-option.interface';
import { DynamicExpandableTableExpandedItemColumnInterace } from '../interfaces/dynamic-expandable-table-expanded-item-column.interface';
import { AbstractDynamicTableDataProvider } from '../../dynamic-table/shared/abstract-dynamic-table-data.provider';
import { DynamicTableGroupExpressionInterface } from '../../dynamic-table/interfaces/dynamic-table-group-expression.interface';
import { DynamicTableColumnInterace } from '../../dynamic-table/interfaces/dynamic-table-column.interface';
export declare abstract class AbstractDynamicExpandableTableDataProvider<T> extends AbstractDynamicTableDataProvider<T> implements DynamicExpandableTableDataInterface<T> {
    protected expandableColumn: any;
    protected createExpandedItemColumn(columnId: string, column: string, backgroundColor?: string, color?: string, icon?: any): DynamicExpandableTableExpandedItemColumnInterace;
    protected createExpandableTableOption(groupName: string, groupExpressions: DynamicTableGroupExpressionInterface[], columnOptions: DynamicTableColumnInterace[], groupItemRowColor?: string, hideColumns?: boolean, hideColumnsOfExpandedItems?: boolean, hideColumnsOfExpandedItemDetails?: boolean): DynamicExpandableTableOptionInterface;
    abstract getOptions(): Array<DynamicExpandableTableOptionInterface>;
    abstract getExpandedItemTableColumns(expandedItem: T): DynamicExpandableTableExpandedItemColumnInterace[];
    abstract getExpandedItemTableData(expandedItem: T): Observable<T[]>;
    abstract getExpandedItemDetailsTableColumns(expandedItemDetails: T, expandedItem: T): DynamicExpandableTableExpandedItemColumnInterace[];
    abstract getExpandedItemDetailsTableData(expandedItemDetails: T, expandedItem: T): Observable<T[]>;
}
