import { Observable } from 'rxjs';
import { DynamicTableDataInterface } from '../interfaces/dynamic-table-data.interface';
import { DynamicTableOptionInterface } from '../interfaces/dynamic-table-option.interface';
import { DynamicTableColumnInterace } from '../interfaces/dynamic-table-column.interface';
import { DynamicTableGroupExpressionInterface } from '../interfaces/dynamic-table-group-expression.interface';
import { DynamicTableGroupInterface } from '../interfaces/dynamic-table-group.interface';
/**
 * Abstract class that defines the data communication between the host component and dynamic table component.
 */
export declare abstract class AbstractDynamicTableDataProvider<T> implements DynamicTableDataInterface<T> {
    private palTableEventPublisher;
    protected createTableOption(groupName: string, groupExpressions: DynamicTableGroupExpressionInterface[], groupItemRowColor: string, hideColumns: boolean, columnOptions: DynamicTableColumnInterace[]): DynamicTableOptionInterface;
    protected createGroupExpression(groupByField: string, rules: Object[], fieldType?: string): DynamicTableGroupInterface;
    refreshList(): void;
    updateItem(item: object): void;
    removeItem(item: object): void;
    getEventPublisher(): Observable<any>;
    nextElement(): void;
    previousElement(): void;
    getColumnsStyleUrl(): string;
    abstract getColumns(): DynamicTableColumnInterace[];
    abstract getData(sort: string, order: string, page: number): Observable<T[]>;
    abstract getOptions(): DynamicTableOptionInterface[];
    abstract getIndicatorColor(item: T, rowIndex: number, groupIndex: number, groupName: string): string;
    abstract getIndicatorSign(item: T, rowIndex: number, groupIndex: number, groupName: string): string;
    abstract getHTMLIcon(item: T, rowIndex: number, groupIndex: number, groupName: string): string;
    abstract getTitle(item: T, rowIndex: number, groupIndex: number, groupName: string): string;
    abstract getDescription(item: T, rowIndex: number, groupIndex: number, groupName: string): string;
    abstract getHTMLContentSummary(item: T, rowIndex: number, groupIndex: number, groupName: string): string;
    abstract getAdditionalInfo(item: T, rowIndex: number, groupIndex: number, groupName: string): string;
    abstract getHTMLAction(item: T, rowIndex: number, groupIndex: number, groupName: string): string;
    abstract getOtherTextBased(item: T, rowIndex: number, groupIndex: number, groupName: string): string;
}
