/*******************************************************************
 * NGX-DYNAMIC-MATERIAL-TABLE                                      *
 * @description Create fancy and complex tables dynamically        *
 * @file dynamic-table-dynamic-cell-builder.ts                     *
 * @author Gökhan Sari - <goekhan.sari@arpage.ch>                  *
 * @copyright Arpage AG, Zurich Switzerland, 2018                  *
 *******************************************************************/
import { Injector, ViewContainerRef, ComponentRef } from '@angular/core';
import { AbstractDynamicBaseService } from '../../abstract-dynamic-base.service';
export declare class DynamicTableDynamicCellBuilder extends AbstractDynamicBaseService {
    private injector;
    constructor(injector: Injector);
    /**
     * @description Creates a column cell dynamically by the given parameters.
     *
     * @param container
     * @param htmlTemplate
     * @param columnsStyleUrl
     * @param properties
     * @returns Promise
     */
    createColumn(container: ViewContainerRef, htmlTemplate: string, columnsStyleUrl: string, properties?: any): Promise<ComponentRef<any>>;
}
