/*******************************************************************
 * NGX-DYNAMIC-MATERIAL-TABLE                                      *
 * @description Create fancy and complex tables dynamically        *
 * @file dynamic-table-expression-builder.ts                       *
 * @author Gökhan Sari - <goekhan.sari@arpage.ch>                  *
 * @copyright Arpage AG, Zurich Switzerland, 2018                  *
 *******************************************************************/
import { DynamicTableGroupExpressionInterface } from '../interfaces/dynamic-table-group-expression.interface';
export declare class DynamicTableExpressionBuilder {
    /**
     * @description Builds the group expression as a string by the defined given expressions.
     *
     * @param groupExpression
     * @returns the build expression as a string
     */
    static buildGroupExpression(groupExpression: DynamicTableGroupExpressionInterface): string;
    /**
     * @description Builds the group expression as a function by the defined given expressions.
     *
     * @param groupExpressions
     * @returns Function
     */
    static buildGroupExpressions(groupExpressions: DynamicTableGroupExpressionInterface[]): Function;
}
