/*******************************************************************
 * NGX-DYNAMIC-MATERIAL-TABLE                                      *
 * @description Create fancy and complex tables dynamically        *
 * @file dynamic-table-ui.utils.ts                                 *
 * @author Gökhan Sari - <goekhan.sari@arpage.ch>                  *
 * @copyright Arpage AG, Zurich Switzerland, 2018                  *
 *******************************************************************/
/**
 * @description Contains useful functions for easily creation of dynamic table conform UI components.
 */
export declare class DynamicTableUIUtils {
    /**
     * @description Creates a dynamic table conform action.
     *
     * @param action
     * @param item
     * @returns string
     */
    static createHTMLAction(action: string, item: object): string;
    /**
     * @description Creates an angular and dynamic table conform action.
     *
     * @param action
     * @param item
     * @returns string
     */
    static createAngularAction(action: string, item: object): string;
    /**
     * @description Creates a dynamic table conform mouse over event.
     *
     * @param  mouseOverEvent
     * @param  item
     * @returns string
     */
    static createMouseOverEvent(mouseOverEvent: string, item: object): string;
    /**
     * @description Creates an angular and dynamic table conform mouse over event.
     *
     * @param  mouseOverEvent
     * @param  item
     * @returns string
     */
    static createAngularMouseOverEvent(mouseOverEvent: string, item: object): string;
    /**
     * @description Creates a dynamic table conform mouse out event.
     *
     * @param mouseOutEvent
     * @param item
     * @returns string
     */
    static createMouseOutEvent(mouseOutEvent: string, item: object): string;
    /**
     * @description Creates an angular and dynamic table conform mouse out event.
     *
     * @param mouseOutEvent
     * @param item
     * @returns string
     */
    static createAngularMouseOutEvent(mouseOutEvent: string, item: object): string;
    /**
     * @description Creates a dynamic table conform mini fab button.
     *
     * @param matColor
     * @param value
     * @param backgroundColor
     * @returns string
     */
    static createMiniFabButton(matColor: string, value: string, backgroundColor?: string): string;
}
