/*******************************************************************
 * NGX-DYNAMIC-MATERIAL-TABLE                                      *
 * @description Create fancy and complex tables dynamically        *
 * @file dynamic-table.utils.ts                                    *
 * @author Gökhan Sari - <goekhan.sari@arpage.ch>                  *
 * @copyright Arpage AG, Zurich Switzerland, 2018                  *
 *******************************************************************/
import { DynamicTableColumnInterace } from '../interfaces/dynamic-table-column.interface';
/**
 * @description Contains common functions related to the dynamic table.
 */
export declare class DynamicTableUtils {
    /**
     * @description Converts columns to a list of column ids.
     *
     * @param columns
     * @returns string
     */
    static convertToColumnIds(columns: Array<DynamicTableColumnInterace>): string[];
    /**
     * @description Converts columns to a list of column names.
     *
     * @param columns
     * @returns string
     */
    static convertToColumnNames(columns: Array<DynamicTableColumnInterace>): string[];
    /**
     * @description Retrieves the column name by the given columnId.
     *
     * @param  columnId
     * @param  columns
     * @returns string
     */
    static getColumnNameById(columnId: string, columns: Array<DynamicTableColumnInterace>): string;
    /**
     * @description Retrieves the column by the given columnId.
     *
     * @param columnId
     * @param columns
     * @returns DynamicTableColumnInterace
     */
    static getColumnById(columnId: string, columns: Array<DynamicTableColumnInterace>): DynamicTableColumnInterace;
}
